> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate a partial refund



## OpenAPI

````yaml post /api/v1/partial-refund
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/partial-refund:
    post:
      tags:
        - Refund
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PartialRefundRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PartialRefundRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PartialRefundRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/RefundResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/RefundResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/RefundResponse'
components:
  schemas:
    PartialRefundRequest:
      required:
        - amount
        - reference
      type: object
      properties:
        reference:
          minLength: 1
          type: string
        amount:
          type: number
          format: double
        customer_note:
          type: string
          nullable: true
        merchant_note:
          type: string
          nullable: true
      additionalProperties: false
    RefundResponse:
      type: object
      properties:
        id:
          type: string
          nullable: true
        refundReference:
          type: string
          nullable: true
        amount:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        domain:
          type: string
          nullable: true
        channel:
          type: string
          nullable: true
        merchantNote:
          type: string
          nullable: true
        customerNote:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        transactionReference:
          type: string
          nullable: true
        createdAt:
          type: string
          nullable: true
        updatedAt:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your API key (e.g. your public key) as a Bearer token to access
        this API.
      name: Authorization
      in: header

````